Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main
Class AdventureMain

    java.lang.Object
      com.golden.gamedev.Game
          main.AdventureMain

    public class AdventureMain

extends com.golden.gamedev.Game

This is the main class and starting point of the adventure game

Author:
  Frank Bruns

Field Summary

Fields inherited from class com.golden.gamedev.Game
`bsGraphics, bsInput, bsIO, bsLoader, bsMusic, bsSound, bsTimer, fontManager, GTGE_VERSION`

Constructor Summary
`AdventureMain()`

Method Summary
`void` | `initResources()`
`static void` | `main(java.lang.String[] args)`
`void` | `render(java.awt.Graphics2D g)`
`void` | `update(long elapsedTime)`

Methods inherited from class com.golden.gamedev.Game
`checkPosMouse, checkPosMouse, click, drawFPS, finish, getCurrentFPS, getFPS, getHeight, getImage, getImage, getImages, getImages, getImages, getImages, getImages, getImages, getMouseX, getMouseY, getRandom, getWidth, hideCursor, isDistribute, isFinish, isRunning, keyDown, keyPressed, playMusic, playSound, rightClick, setFPS, setMaskColor, showCursor, showLogo, start, stop, takeScreenShot, takeScreenShot`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdventureMain

    public AdventureMain()

Method Detail

### initResources

    public void initResources()

  Specified by:
    `initResources` in class `com.golden.gamedev.Game`

### render

    public void render(java.awt.Graphics2D g)

  Specified by:
    `render` in class `com.golden.gamedev.Game`

### update

    public void update(long elapsedTime)

  Specified by:
    `update` in class `com.golden.gamedev.Game`

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` - Command line parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD